package com.playdeezgames.common.Ascii;

import com.playdeezgames.common.Managers.TextureRegionDescriptor;

public enum AsciiCharacters implements TextureRegionDescriptor<AsciiTextures>{
	CHARACTER_0(AsciiTextures.CHARACTER_0,0,0,16,16),
	CHARACTER_1(AsciiTextures.CHARACTER_1,0,0,16,16),
	CHARACTER_2(AsciiTextures.CHARACTER_2,0,0,16,16),
	CHARACTER_3(AsciiTextures.CHARACTER_3,0,0,16,16),
	CHARACTER_4(AsciiTextures.CHARACTER_4,0,0,16,16),
	CHARACTER_5(AsciiTextures.CHARACTER_5,0,0,16,16),
	CHARACTER_6(AsciiTextures.CHARACTER_6,0,0,16,16),
	CHARACTER_7(AsciiTextures.CHARACTER_7,0,0,16,16),
	CHARACTER_8(AsciiTextures.CHARACTER_8,0,0,16,16),
	CHARACTER_9(AsciiTextures.CHARACTER_9,0,0,16,16),
	CHARACTER_10(AsciiTextures.CHARACTER_10,0,0,16,16),
	CHARACTER_11(AsciiTextures.CHARACTER_11,0,0,16,16),
	CHARACTER_12(AsciiTextures.CHARACTER_12,0,0,16,16),
	CHARACTER_13(AsciiTextures.CHARACTER_13,0,0,16,16),
	CHARACTER_14(AsciiTextures.CHARACTER_14,0,0,16,16),
	CHARACTER_15(AsciiTextures.CHARACTER_15,0,0,16,16),
	CHARACTER_16(AsciiTextures.CHARACTER_16,0,0,16,16),
	CHARACTER_17(AsciiTextures.CHARACTER_17,0,0,16,16),
	CHARACTER_18(AsciiTextures.CHARACTER_18,0,0,16,16),
	CHARACTER_19(AsciiTextures.CHARACTER_19,0,0,16,16),
	CHARACTER_20(AsciiTextures.CHARACTER_20,0,0,16,16),
	CHARACTER_21(AsciiTextures.CHARACTER_21,0,0,16,16),
	CHARACTER_22(AsciiTextures.CHARACTER_22,0,0,16,16),
	CHARACTER_23(AsciiTextures.CHARACTER_23,0,0,16,16),
	CHARACTER_24(AsciiTextures.CHARACTER_24,0,0,16,16),
	CHARACTER_25(AsciiTextures.CHARACTER_25,0,0,16,16),
	CHARACTER_26(AsciiTextures.CHARACTER_26,0,0,16,16),
	CHARACTER_27(AsciiTextures.CHARACTER_27,0,0,16,16),
	CHARACTER_28(AsciiTextures.CHARACTER_28,0,0,16,16),
	CHARACTER_29(AsciiTextures.CHARACTER_29,0,0,16,16),
	CHARACTER_30(AsciiTextures.CHARACTER_30,0,0,16,16),
	CHARACTER_31(AsciiTextures.CHARACTER_31,0,0,16,16),
	CHARACTER_32(AsciiTextures.CHARACTER_32,0,0,16,16),
	CHARACTER_33(AsciiTextures.CHARACTER_33,0,0,16,16),
	CHARACTER_34(AsciiTextures.CHARACTER_34,0,0,16,16),
	CHARACTER_35(AsciiTextures.CHARACTER_35,0,0,16,16),
	CHARACTER_36(AsciiTextures.CHARACTER_36,0,0,16,16),
	CHARACTER_37(AsciiTextures.CHARACTER_37,0,0,16,16),
	CHARACTER_38(AsciiTextures.CHARACTER_38,0,0,16,16),
	CHARACTER_39(AsciiTextures.CHARACTER_39,0,0,16,16),
	CHARACTER_40(AsciiTextures.CHARACTER_40,0,0,16,16),
	CHARACTER_41(AsciiTextures.CHARACTER_41,0,0,16,16),
	CHARACTER_42(AsciiTextures.CHARACTER_42,0,0,16,16),
	CHARACTER_43(AsciiTextures.CHARACTER_43,0,0,16,16),
	CHARACTER_44(AsciiTextures.CHARACTER_44,0,0,16,16),
	CHARACTER_45(AsciiTextures.CHARACTER_45,0,0,16,16),
	CHARACTER_46(AsciiTextures.CHARACTER_46,0,0,16,16),
	CHARACTER_47(AsciiTextures.CHARACTER_47,0,0,16,16),
	CHARACTER_48(AsciiTextures.CHARACTER_48,0,0,16,16),
	CHARACTER_49(AsciiTextures.CHARACTER_49,0,0,16,16),
	CHARACTER_50(AsciiTextures.CHARACTER_50,0,0,16,16),
	CHARACTER_51(AsciiTextures.CHARACTER_51,0,0,16,16),
	CHARACTER_52(AsciiTextures.CHARACTER_52,0,0,16,16),
	CHARACTER_53(AsciiTextures.CHARACTER_53,0,0,16,16),
	CHARACTER_54(AsciiTextures.CHARACTER_54,0,0,16,16),
	CHARACTER_55(AsciiTextures.CHARACTER_55,0,0,16,16),
	CHARACTER_56(AsciiTextures.CHARACTER_56,0,0,16,16),
	CHARACTER_57(AsciiTextures.CHARACTER_57,0,0,16,16),
	CHARACTER_58(AsciiTextures.CHARACTER_58,0,0,16,16),
	CHARACTER_59(AsciiTextures.CHARACTER_59,0,0,16,16),
	CHARACTER_60(AsciiTextures.CHARACTER_60,0,0,16,16),
	CHARACTER_61(AsciiTextures.CHARACTER_61,0,0,16,16),
	CHARACTER_62(AsciiTextures.CHARACTER_62,0,0,16,16),
	CHARACTER_63(AsciiTextures.CHARACTER_63,0,0,16,16),
	CHARACTER_64(AsciiTextures.CHARACTER_64,0,0,16,16),
	CHARACTER_65(AsciiTextures.CHARACTER_65,0,0,16,16),
	CHARACTER_66(AsciiTextures.CHARACTER_66,0,0,16,16),
	CHARACTER_67(AsciiTextures.CHARACTER_67,0,0,16,16),
	CHARACTER_68(AsciiTextures.CHARACTER_68,0,0,16,16),
	CHARACTER_69(AsciiTextures.CHARACTER_69,0,0,16,16),
	CHARACTER_70(AsciiTextures.CHARACTER_70,0,0,16,16),
	CHARACTER_71(AsciiTextures.CHARACTER_71,0,0,16,16),
	CHARACTER_72(AsciiTextures.CHARACTER_72,0,0,16,16),
	CHARACTER_73(AsciiTextures.CHARACTER_73,0,0,16,16),
	CHARACTER_74(AsciiTextures.CHARACTER_74,0,0,16,16),
	CHARACTER_75(AsciiTextures.CHARACTER_75,0,0,16,16),
	CHARACTER_76(AsciiTextures.CHARACTER_76,0,0,16,16),
	CHARACTER_77(AsciiTextures.CHARACTER_77,0,0,16,16),
	CHARACTER_78(AsciiTextures.CHARACTER_78,0,0,16,16),
	CHARACTER_79(AsciiTextures.CHARACTER_79,0,0,16,16),
	CHARACTER_80(AsciiTextures.CHARACTER_80,0,0,16,16),
	CHARACTER_81(AsciiTextures.CHARACTER_81,0,0,16,16),
	CHARACTER_82(AsciiTextures.CHARACTER_82,0,0,16,16),
	CHARACTER_83(AsciiTextures.CHARACTER_83,0,0,16,16),
	CHARACTER_84(AsciiTextures.CHARACTER_84,0,0,16,16),
	CHARACTER_85(AsciiTextures.CHARACTER_85,0,0,16,16),
	CHARACTER_86(AsciiTextures.CHARACTER_86,0,0,16,16),
	CHARACTER_87(AsciiTextures.CHARACTER_87,0,0,16,16),
	CHARACTER_88(AsciiTextures.CHARACTER_88,0,0,16,16),
	CHARACTER_89(AsciiTextures.CHARACTER_89,0,0,16,16),
	CHARACTER_90(AsciiTextures.CHARACTER_90,0,0,16,16),
	CHARACTER_91(AsciiTextures.CHARACTER_91,0,0,16,16),
	CHARACTER_92(AsciiTextures.CHARACTER_92,0,0,16,16),
	CHARACTER_93(AsciiTextures.CHARACTER_93,0,0,16,16),
	CHARACTER_94(AsciiTextures.CHARACTER_94,0,0,16,16),
	CHARACTER_95(AsciiTextures.CHARACTER_95,0,0,16,16),
	CHARACTER_96(AsciiTextures.CHARACTER_96,0,0,16,16),
	CHARACTER_97(AsciiTextures.CHARACTER_97,0,0,16,16),
	CHARACTER_98(AsciiTextures.CHARACTER_98,0,0,16,16),
	CHARACTER_99(AsciiTextures.CHARACTER_99,0,0,16,16),
	CHARACTER_100(AsciiTextures.CHARACTER_100,0,0,16,16),
	CHARACTER_101(AsciiTextures.CHARACTER_101,0,0,16,16),
	CHARACTER_102(AsciiTextures.CHARACTER_102,0,0,16,16),
	CHARACTER_103(AsciiTextures.CHARACTER_103,0,0,16,16),
	CHARACTER_104(AsciiTextures.CHARACTER_104,0,0,16,16),
	CHARACTER_105(AsciiTextures.CHARACTER_105,0,0,16,16),
	CHARACTER_106(AsciiTextures.CHARACTER_106,0,0,16,16),
	CHARACTER_107(AsciiTextures.CHARACTER_107,0,0,16,16),
	CHARACTER_108(AsciiTextures.CHARACTER_108,0,0,16,16),
	CHARACTER_109(AsciiTextures.CHARACTER_109,0,0,16,16),
	CHARACTER_110(AsciiTextures.CHARACTER_110,0,0,16,16),
	CHARACTER_111(AsciiTextures.CHARACTER_111,0,0,16,16),
	CHARACTER_112(AsciiTextures.CHARACTER_112,0,0,16,16),
	CHARACTER_113(AsciiTextures.CHARACTER_113,0,0,16,16),
	CHARACTER_114(AsciiTextures.CHARACTER_114,0,0,16,16),
	CHARACTER_115(AsciiTextures.CHARACTER_115,0,0,16,16),
	CHARACTER_116(AsciiTextures.CHARACTER_116,0,0,16,16),
	CHARACTER_117(AsciiTextures.CHARACTER_117,0,0,16,16),
	CHARACTER_118(AsciiTextures.CHARACTER_118,0,0,16,16),
	CHARACTER_119(AsciiTextures.CHARACTER_119,0,0,16,16),
	CHARACTER_120(AsciiTextures.CHARACTER_120,0,0,16,16),
	CHARACTER_121(AsciiTextures.CHARACTER_121,0,0,16,16),
	CHARACTER_122(AsciiTextures.CHARACTER_122,0,0,16,16),
	CHARACTER_123(AsciiTextures.CHARACTER_123,0,0,16,16),
	CHARACTER_124(AsciiTextures.CHARACTER_124,0,0,16,16),
	CHARACTER_125(AsciiTextures.CHARACTER_125,0,0,16,16),
	CHARACTER_126(AsciiTextures.CHARACTER_126,0,0,16,16),
	CHARACTER_127(AsciiTextures.CHARACTER_127,0,0,16,16),
	CHARACTER_128(AsciiTextures.CHARACTER_128,0,0,16,16),
	CHARACTER_129(AsciiTextures.CHARACTER_129,0,0,16,16),
	CHARACTER_130(AsciiTextures.CHARACTER_130,0,0,16,16),
	CHARACTER_131(AsciiTextures.CHARACTER_131,0,0,16,16),
	CHARACTER_132(AsciiTextures.CHARACTER_132,0,0,16,16),
	CHARACTER_133(AsciiTextures.CHARACTER_133,0,0,16,16),
	CHARACTER_134(AsciiTextures.CHARACTER_134,0,0,16,16),
	CHARACTER_135(AsciiTextures.CHARACTER_135,0,0,16,16),
	CHARACTER_136(AsciiTextures.CHARACTER_136,0,0,16,16),
	CHARACTER_137(AsciiTextures.CHARACTER_137,0,0,16,16),
	CHARACTER_138(AsciiTextures.CHARACTER_138,0,0,16,16),
	CHARACTER_139(AsciiTextures.CHARACTER_139,0,0,16,16),
	CHARACTER_140(AsciiTextures.CHARACTER_140,0,0,16,16),
	CHARACTER_141(AsciiTextures.CHARACTER_141,0,0,16,16),
	CHARACTER_142(AsciiTextures.CHARACTER_142,0,0,16,16),
	CHARACTER_143(AsciiTextures.CHARACTER_143,0,0,16,16),
	CHARACTER_144(AsciiTextures.CHARACTER_144,0,0,16,16),
	CHARACTER_145(AsciiTextures.CHARACTER_145,0,0,16,16),
	CHARACTER_146(AsciiTextures.CHARACTER_146,0,0,16,16),
	CHARACTER_147(AsciiTextures.CHARACTER_147,0,0,16,16),
	CHARACTER_148(AsciiTextures.CHARACTER_148,0,0,16,16),
	CHARACTER_149(AsciiTextures.CHARACTER_149,0,0,16,16),
	CHARACTER_150(AsciiTextures.CHARACTER_150,0,0,16,16),
	CHARACTER_151(AsciiTextures.CHARACTER_151,0,0,16,16),
	CHARACTER_152(AsciiTextures.CHARACTER_152,0,0,16,16),
	CHARACTER_153(AsciiTextures.CHARACTER_153,0,0,16,16),
	CHARACTER_154(AsciiTextures.CHARACTER_154,0,0,16,16),
	CHARACTER_155(AsciiTextures.CHARACTER_155,0,0,16,16),
	CHARACTER_156(AsciiTextures.CHARACTER_156,0,0,16,16),
	CHARACTER_157(AsciiTextures.CHARACTER_157,0,0,16,16),
	CHARACTER_158(AsciiTextures.CHARACTER_158,0,0,16,16),
	CHARACTER_159(AsciiTextures.CHARACTER_159,0,0,16,16),
	CHARACTER_160(AsciiTextures.CHARACTER_160,0,0,16,16),
	CHARACTER_161(AsciiTextures.CHARACTER_161,0,0,16,16),
	CHARACTER_162(AsciiTextures.CHARACTER_162,0,0,16,16),
	CHARACTER_163(AsciiTextures.CHARACTER_163,0,0,16,16),
	CHARACTER_164(AsciiTextures.CHARACTER_164,0,0,16,16),
	CHARACTER_165(AsciiTextures.CHARACTER_165,0,0,16,16),
	CHARACTER_166(AsciiTextures.CHARACTER_166,0,0,16,16),
	CHARACTER_167(AsciiTextures.CHARACTER_167,0,0,16,16),
	CHARACTER_168(AsciiTextures.CHARACTER_168,0,0,16,16),
	CHARACTER_169(AsciiTextures.CHARACTER_169,0,0,16,16),
	CHARACTER_170(AsciiTextures.CHARACTER_170,0,0,16,16),
	CHARACTER_171(AsciiTextures.CHARACTER_171,0,0,16,16),
	CHARACTER_172(AsciiTextures.CHARACTER_172,0,0,16,16),
	CHARACTER_173(AsciiTextures.CHARACTER_173,0,0,16,16),
	CHARACTER_174(AsciiTextures.CHARACTER_174,0,0,16,16),
	CHARACTER_175(AsciiTextures.CHARACTER_175,0,0,16,16),
	CHARACTER_176(AsciiTextures.CHARACTER_176,0,0,16,16),
	CHARACTER_177(AsciiTextures.CHARACTER_177,0,0,16,16),
	CHARACTER_178(AsciiTextures.CHARACTER_178,0,0,16,16),
	CHARACTER_179(AsciiTextures.CHARACTER_179,0,0,16,16),
	CHARACTER_180(AsciiTextures.CHARACTER_180,0,0,16,16),
	CHARACTER_181(AsciiTextures.CHARACTER_181,0,0,16,16),
	CHARACTER_182(AsciiTextures.CHARACTER_182,0,0,16,16),
	CHARACTER_183(AsciiTextures.CHARACTER_183,0,0,16,16),
	CHARACTER_184(AsciiTextures.CHARACTER_184,0,0,16,16),
	CHARACTER_185(AsciiTextures.CHARACTER_185,0,0,16,16),
	CHARACTER_186(AsciiTextures.CHARACTER_186,0,0,16,16),
	CHARACTER_187(AsciiTextures.CHARACTER_187,0,0,16,16),
	CHARACTER_188(AsciiTextures.CHARACTER_188,0,0,16,16),
	CHARACTER_189(AsciiTextures.CHARACTER_189,0,0,16,16),
	CHARACTER_190(AsciiTextures.CHARACTER_190,0,0,16,16),
	CHARACTER_191(AsciiTextures.CHARACTER_191,0,0,16,16),
	CHARACTER_192(AsciiTextures.CHARACTER_192,0,0,16,16),
	CHARACTER_193(AsciiTextures.CHARACTER_193,0,0,16,16),
	CHARACTER_194(AsciiTextures.CHARACTER_194,0,0,16,16),
	CHARACTER_195(AsciiTextures.CHARACTER_195,0,0,16,16),
	CHARACTER_196(AsciiTextures.CHARACTER_196,0,0,16,16),
	CHARACTER_197(AsciiTextures.CHARACTER_197,0,0,16,16),
	CHARACTER_198(AsciiTextures.CHARACTER_198,0,0,16,16),
	CHARACTER_199(AsciiTextures.CHARACTER_199,0,0,16,16),
	CHARACTER_200(AsciiTextures.CHARACTER_200,0,0,16,16),
	CHARACTER_201(AsciiTextures.CHARACTER_201,0,0,16,16),
	CHARACTER_202(AsciiTextures.CHARACTER_202,0,0,16,16),
	CHARACTER_203(AsciiTextures.CHARACTER_203,0,0,16,16),
	CHARACTER_204(AsciiTextures.CHARACTER_204,0,0,16,16),
	CHARACTER_205(AsciiTextures.CHARACTER_205,0,0,16,16),
	CHARACTER_206(AsciiTextures.CHARACTER_206,0,0,16,16),
	CHARACTER_207(AsciiTextures.CHARACTER_207,0,0,16,16),
	CHARACTER_208(AsciiTextures.CHARACTER_208,0,0,16,16),
	CHARACTER_209(AsciiTextures.CHARACTER_209,0,0,16,16),
	CHARACTER_210(AsciiTextures.CHARACTER_210,0,0,16,16),
	CHARACTER_211(AsciiTextures.CHARACTER_211,0,0,16,16),
	CHARACTER_212(AsciiTextures.CHARACTER_212,0,0,16,16),
	CHARACTER_213(AsciiTextures.CHARACTER_213,0,0,16,16),
	CHARACTER_214(AsciiTextures.CHARACTER_214,0,0,16,16),
	CHARACTER_215(AsciiTextures.CHARACTER_215,0,0,16,16),
	CHARACTER_216(AsciiTextures.CHARACTER_216,0,0,16,16),
	CHARACTER_217(AsciiTextures.CHARACTER_217,0,0,16,16),
	CHARACTER_218(AsciiTextures.CHARACTER_218,0,0,16,16),
	CHARACTER_219(AsciiTextures.CHARACTER_219,0,0,16,16),
	CHARACTER_220(AsciiTextures.CHARACTER_220,0,0,16,16),
	CHARACTER_221(AsciiTextures.CHARACTER_221,0,0,16,16),
	CHARACTER_222(AsciiTextures.CHARACTER_222,0,0,16,16),
	CHARACTER_223(AsciiTextures.CHARACTER_223,0,0,16,16),
	CHARACTER_224(AsciiTextures.CHARACTER_224,0,0,16,16),
	CHARACTER_225(AsciiTextures.CHARACTER_225,0,0,16,16),
	CHARACTER_226(AsciiTextures.CHARACTER_226,0,0,16,16),
	CHARACTER_227(AsciiTextures.CHARACTER_227,0,0,16,16),
	CHARACTER_228(AsciiTextures.CHARACTER_228,0,0,16,16),
	CHARACTER_229(AsciiTextures.CHARACTER_229,0,0,16,16),
	CHARACTER_230(AsciiTextures.CHARACTER_230,0,0,16,16),
	CHARACTER_231(AsciiTextures.CHARACTER_231,0,0,16,16),
	CHARACTER_232(AsciiTextures.CHARACTER_232,0,0,16,16),
	CHARACTER_233(AsciiTextures.CHARACTER_233,0,0,16,16),
	CHARACTER_234(AsciiTextures.CHARACTER_234,0,0,16,16),
	CHARACTER_235(AsciiTextures.CHARACTER_235,0,0,16,16),
	CHARACTER_236(AsciiTextures.CHARACTER_236,0,0,16,16),
	CHARACTER_237(AsciiTextures.CHARACTER_237,0,0,16,16),
	CHARACTER_238(AsciiTextures.CHARACTER_238,0,0,16,16),
	CHARACTER_239(AsciiTextures.CHARACTER_239,0,0,16,16),
	CHARACTER_240(AsciiTextures.CHARACTER_240,0,0,16,16),
	CHARACTER_241(AsciiTextures.CHARACTER_241,0,0,16,16),
	CHARACTER_242(AsciiTextures.CHARACTER_242,0,0,16,16),
	CHARACTER_243(AsciiTextures.CHARACTER_243,0,0,16,16),
	CHARACTER_244(AsciiTextures.CHARACTER_244,0,0,16,16),
	CHARACTER_245(AsciiTextures.CHARACTER_245,0,0,16,16),
	CHARACTER_246(AsciiTextures.CHARACTER_246,0,0,16,16),
	CHARACTER_247(AsciiTextures.CHARACTER_247,0,0,16,16),
	CHARACTER_248(AsciiTextures.CHARACTER_248,0,0,16,16),
	CHARACTER_249(AsciiTextures.CHARACTER_249,0,0,16,16),
	CHARACTER_250(AsciiTextures.CHARACTER_250,0,0,16,16),
	CHARACTER_251(AsciiTextures.CHARACTER_251,0,0,16,16),
	CHARACTER_252(AsciiTextures.CHARACTER_252,0,0,16,16),
	CHARACTER_253(AsciiTextures.CHARACTER_253,0,0,16,16),
	CHARACTER_254(AsciiTextures.CHARACTER_254,0,0,16,16),
	CHARACTER_255(AsciiTextures.CHARACTER_0,0,0,16,16);
	
	AsciiTextures textureDescriptor;
	int x;
	int y;
	int width;
	int height;
	@Override
	public AsciiTextures getTextureDescriptor() {
		return textureDescriptor;
	}

	@Override
	public int getX() {
		return x;
	}

	@Override
	public int getY() {
		return y;
	}

	@Override
	public int getWidth() {
		return width;
	}

	@Override
	public int getHeight() {
		return height;
	}

	AsciiCharacters(AsciiTextures theTextureDescriptor,int theX,int theY,int theWidth,int theHeight){
		textureDescriptor = theTextureDescriptor;
		x = theX;
		y = theY;
		width = theWidth;
		height = theHeight;
	}

}
